﻿

using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using RhythmBullet.Zer01HD.Screens.Transitions;
using RhythmBullet.Zer01HD.UI.Book;
using RhythmBullet.Zer01HD.Utilities.Camera;
using RhythmBullet.Zer01HD.Utilities.ContentSystem;
using RhythmBullet.Zer01HD.Utilities.ScreenSystem;
using System;

namespace RhythmBullet.Zer01HD.Screens.MainMenu
{
    class MainScreen : Screen
    {
        ContentManagerController assets;
        FadeAwayTransition fat;
        Texture2D background;
        Book book;
        MainPage mainPage;

        public MainScreen(ContentManagerController assets) : base(true)
        {
            this.assets = assets;
            background = assets.Get<Texture2D>("backgrounds/mainBG");
            fat = new FadeAwayTransition(1.5f);
            book = new Book();
            mainPage = new MainPage(assets);
            book.AddPages(mainPage);
        }

        public override void Initiate(GraphicsDevice graphicsDevice, Rectangle screenSize, Camera2D camera)
        {
            book.Initiate(camera, screenSize);
            base.Initiate(graphicsDevice, screenSize, camera);
        }

        public override void Show()
        {
            Transitions.Add(fat);
            base.Show();
        }

        public override void Draw(SpriteBatch spriteBatch)
        {
            spriteBatch.Draw(background, ScreenSize, Color.White);
            book.Draw(spriteBatch);
            base.Draw(spriteBatch);
        }

        public override void Update(GameTime gameTime)
        {
            book.Update(gameTime);
            base.Update(gameTime);
        }
    }
}
